﻿using System;
using System.Threading;
using System.Threading.Tasks;

namespace Platform.Data
{
    public interface IDataCollection<TModel>
    {
        Task<long> GetCountAsync(CancellationToken cancellationToken);

        Task<TModel> GetByIdAsync(Guid id, CancellationToken cancellationToken);

        Task<DataCollectionResult<TModel>> GetAsync(int? skip, int? take, string filter, string sort, CancellationToken cancellationToken);

        Task<TModel> UpdateAsync(Guid id, TModel contact, CancellationToken cancellationToken);

        Task<TModel> DeleteAsync(Guid id, CancellationToken cancellationToken);
    }
}
