﻿using System;
using System.IO;
using System.Reflection;

namespace Platform.Extensions
{
    public static class AssemblyExtensions
    {
        /// <summary>
        /// Gets the assembly path
        /// </summary>
        /// <param name="assembly"></param>
        /// <returns></returns>
        public static string GetFullPath(this Assembly assembly)
        {
            var folder = assembly.CodeBase;
            folder = (new Uri(folder)).AbsolutePath;
            folder = Uri.UnescapeDataString(folder);
            folder = Path.GetFullPath(folder);
            return folder;
        }

        /// <summary>
        /// Gets the assembly folder
        /// </summary>
        /// <param name="assembly"></param>
        /// <returns></returns>
        public static string GetFolder(this Assembly assembly)
        {
            return Path.GetDirectoryName(assembly.GetFullPath());
        }
    }
}
