﻿using System.Runtime.InteropServices;

namespace Platform
{
    public static class OperatingSystem
    {
#if !NET461
        public static bool IsWindows() =>
            RuntimeInformation.IsOSPlatform(OSPlatform.Windows);

        public static bool IsMacOS() =>
            RuntimeInformation.IsOSPlatform(OSPlatform.OSX);

        public static bool IsLinux() =>
            RuntimeInformation.IsOSPlatform(OSPlatform.Linux);
#else
        public static bool IsWindows() => true;

        public static bool IsMacOS() => false;

        public static bool IsLinux() => false;
#endif
    }
}
